bool RECORD_T = false;

uint32_t num_commands=0; //Количество команд записанных на Flash

struct robots_command
{
  bool L_motorDIR; // Направление вращения левого мотора
  bool R_motorDIR; // Направление вращения правого мотора
  uint32_t L_n_steps; // Количество шагов для левого мотора
  uint32_t R_n_steps; // Количество шагов для правого мотора
};

robots_command command_in_works; //Создаем объект command_in_works для хранения исполлняемой команды

uint32_t command_counter=0;

void write_to_pref(uint32_t n_com) //Пишем очередную команду в flash, входной параметр - номер команды
{
  char n_c_ch[10];
  sprintf(n_c_ch, "%lu", n_com); //Число в строку
  //Serial.print("Homep= ");Serial.println(n_c_ch);
  preferences.putBytes(n_c_ch, &command_in_works, sizeof(command_in_works));
  preferences.putUInt("numb_of_com", n_com); //Обновляем количество команд в файле
}

void read_from_pref(uint32_t n_com) //читаем очередную команду из flash 
{
  char n_c_ch[10];
   sprintf(n_c_ch, "%lu", n_com); //Число в строку
  preferences.getBytes(n_c_ch, &command_in_works, sizeof(command_in_works)); //Читаем значение очередной команды
}

void erease_com() //Очищаем файл команд
{
  preferences.clear();
  num_commands = 0;
}



